import { PolicyStatement } from 'aws-cdk-lib/aws-iam';
export declare class ServiceLinkedRoleService {
    static readonly EKS: ServiceLinkedRoleService;
    static readonly EMR_CONTAINERS: ServiceLinkedRoleService;
    static readonly EMR_SERVERLESS: ServiceLinkedRoleService;
    static readonly KAFKA: ServiceLinkedRoleService;
    static readonly REDSHIFT: ServiceLinkedRoleService;
    static readonly OPENSEARCH: ServiceLinkedRoleService;
    readonly serviceName: string;
    readonly roleName: string;
    constructor(serviceName: string, roleName: string);
    getRoleArn(account: string): string;
    getCreateServiceLinkedRolePolicy(account: string): PolicyStatement;
}
